parameters:
  # Adds a fallback DATABASE_URL if the env var is not set.
  # This allows you to run cache:warmup even if your
  # environment variables are not available yet.
  # You should not need to change this value.
  env(DATABASE_URL): ''

doctrine:
  dbal:
    default_connection: default
    connections:
      default:
        url: '%env(DATABASE_URL)%'
        driver: 'pdo_mysql'
        charset: UTF8
        default_table_options:
          charset: utf8
          collate: utf8_general_ci
        mapping_types:
          enum: string
          bytea: text
  orm:
    default_entity_manager: default
    entity_managers:
      default:
        filters:
          softdeleteable:
            class: Gedmo\SoftDeleteable\Filter\SoftDeleteableFilter
            enabled: true
        connection: default
        naming_strategy: doctrine.orm.naming_strategy.underscore
        mappings:
          Main:
            type: annotation
            dir: '%kernel.project_dir%/src/Entity'
            prefix: 'App\Entity'
            alias: Main
          Gedmo:
            type: annotation
            dir: '%kernel.project_dir%/vendor/gedmo/doctrine-extensions/src/Loggable/Entity'
            prefix: 'Gedmo\Loggable\Entity\'
            alias: Gedmo
          gedmo_translatable:
            type: annotation
            prefix: Gedmo\Translatable\Entity
            dir: "%kernel.root_dir%/../vendor/gedmo/doctrine-extensions/src/Translatable/Entity"
            alias: GedmoTranslatable # (optional) it will default to the name set for the mapping
            is_bundle: false
          gedmo_translator:
            type: annotation
            prefix: Gedmo\Translator\Entity
            dir: "%kernel.root_dir%/../vendor/gedmo/doctrine-extensions/src/Translator/Entity"
            alias: GedmoTranslator # (optional) it will default to the name set for the mapping
            is_bundle: false
          gedmo_tree:
            type: annotation
            prefix: Gedmo\Tree\Entity
            dir: "%kernel.root_dir%/../vendor/gedmo/doctrine-extensions/src/Tree/Entity"
            alias: GedmoTree # (optional) it will default to the name set for the mapping
            is_bundle: false
        dql:
          datetime_functions:
            addtime: DoctrineExtensions\Query\Mysql\AddTime
            convert_tz: DoctrineExtensions\Query\Mysql\ConvertTz
            date: DoctrineExtensions\Query\Mysql\Date
            date_format: DoctrineExtensions\Query\Mysql\DateFormat
            dateadd: DoctrineExtensions\Query\Mysql\DateAdd
            datesub: DoctrineExtensions\Query\Mysql\DateSub
            datediff: DoctrineExtensions\Query\Mysql\DateDiff
            day: DoctrineExtensions\Query\Mysql\Day
            dayname: DoctrineExtensions\Query\Mysql\DayName
            dayofweek: DoctrineExtensions\Query\Mysql\DayOfWeek
            dayofyear: DoctrineExtensions\Query\Mysql\DayOfYear
            div: DoctrineExtensions\Query\Mysql\Div
            from_unixtime: DoctrineExtensions\Query\Mysql\FromUnixtime
            hour: DoctrineExtensions\Query\Mysql\Hour
            last_day: DoctrineExtensions\Query\Mysql\LastDay
            makedate: DoctrineExtensions\Query\Mysql\MakeDate
            minute: DoctrineExtensions\Query\Mysql\Minute
            now: DoctrineExtensions\Query\Mysql\Now
            month: DoctrineExtensions\Query\Mysql\Month
            monthname: DoctrineExtensions\Query\Mysql\MonthName
            period_diff: DoctrineExtensions\Query\Mysql\PeriodDiff
            second: DoctrineExtensions\Query\Mysql\Second
            sectotime: DoctrineExtensions\Query\Mysql\SecToTime
            strtodate: DoctrineExtensions\Query\Mysql\StrToDate
            time: DoctrineExtensions\Query\Mysql\Time
            timediff: DoctrineExtensions\Query\Mysql\TimeDiff
            timestampadd: DoctrineExtensions\Query\Mysql\TimestampAdd
            timestampdiff: DoctrineExtensions\Query\Mysql\TimestampDiff
            timetosec: DoctrineExtensions\Query\Mysql\TimeToSec
            week: DoctrineExtensions\Query\Mysql\Week
            weekday: DoctrineExtensions\Query\Mysql\WeekDay
            year: DoctrineExtensions\Query\Mysql\Year
            yearmonth: DoctrineExtensions\Query\Mysql\YearMonth
            yearweek: DoctrineExtensions\Query\Mysql\YearWeek
            unix_timestamp: DoctrineExtensions\Query\Mysql\UnixTimestamp
            utc_timestamp: DoctrineExtensions\Query\Mysql\UtcTimestamp
            extract: DoctrineExtensions\Query\Mysql\Extract
          numeric_functions:
            acos: DoctrineExtensions\Query\Mysql\Acos
            asin: DoctrineExtensions\Query\Mysql\Asin
            atan2: DoctrineExtensions\Query\Mysql\Atan2
            atan: DoctrineExtensions\Query\Mysql\Atan
            bit_count: DoctrineExtensions\Query\Mysql\BitCount
            bit_xor: DoctrineExtensions\Query\Mysql\BitXor
            ceil: DoctrineExtensions\Query\Mysql\Ceil
            cos: DoctrineExtensions\Query\Mysql\Cos
            cot: DoctrineExtensions\Query\Mysql\Cot
            degrees: DoctrineExtensions\Query\Mysql\Degrees
            exp: DoctrineExtensions\Query\Mysql\Exp
            floor: DoctrineExtensions\Query\Mysql\Floor
            log: DoctrineExtensions\Query\Mysql\Log
            log10: DoctrineExtensions\Query\Mysql\Log10
            log2: DoctrineExtensions\Query\Mysql\Log2
            pi: DoctrineExtensions\Query\Mysql\Pi
            power: DoctrineExtensions\Query\Mysql\Power
            quarter: DoctrineExtensions\Query\Mysql\Quarter
            radians: DoctrineExtensions\Query\Mysql\Radians
            rand: DoctrineExtensions\Query\Mysql\Rand
            round: DoctrineExtensions\Query\Mysql\Round
            stddev: DoctrineExtensions\Query\Mysql\StdDev
            sin: DoctrineExtensions\Query\Mysql\Sin
            std: DoctrineExtensions\Query\Mysql\Std
            tan: DoctrineExtensions\Query\Mysql\Tan
            variance: DoctrineExtensions\Query\Mysql\Variance
          string_functions:
            aes_decrypt: DoctrineExtensions\Query\Mysql\AesDecrypt
            aes_encrypt: DoctrineExtensions\Query\Mysql\AesEncrypt
            any_value: DoctrineExtensions\Query\Mysql\AnyValue
            ascii: DoctrineExtensions\Query\Mysql\Ascii
            binary: DoctrineExtensions\Query\Mysql\Binary
            cast: DoctrineExtensions\Query\Mysql\Cast
            char_length: DoctrineExtensions\Query\Mysql\CharLength
            collate: DoctrineExtensions\Query\Mysql\Collate
            concat_ws: DoctrineExtensions\Query\Mysql\ConcatWs
            countif: DoctrineExtensions\Query\Mysql\CountIf
            crc32: DoctrineExtensions\Query\Mysql\Crc32
            degrees: DoctrineExtensions\Query\Mysql\Degrees
            field: DoctrineExtensions\Query\Mysql\Field
            find_in_set: DoctrineExtensions\Query\Mysql\FindInSet
            format: DoctrineExtensions\Query\Mysql\Format
            greatest: DoctrineExtensions\Query\Mysql\Greatest
            group_concat: DoctrineExtensions\Query\Mysql\GroupConcat
            hex: DoctrineExtensions\Query\Mysql\Hex
            ifelse: DoctrineExtensions\Query\Mysql\IfElse
            ifnull: DoctrineExtensions\Query\Mysql\IfNull
            inet_aton: DoctrineExtensions\Query\Mysql\InetAton
            inet_ntoa: DoctrineExtensions\Query\Mysql\InetNtoa
            inet6_aton: DoctrineExtensions\Query\Mysql\Inet6Aton
            inet6_ntoa: DoctrineExtensions\Query\Mysql\Inet6Ntoa
            instr: DoctrineExtensions\Query\Mysql\Instr
            is_ipv4: DoctrineExtensions\Query\Mysql\IsIpv4
            is_ipv4_compat: DoctrineExtensions\Query\Mysql\IsIpv4Compat
            is_ipv4_mapped: DoctrineExtensions\Query\Mysql\IsIpv4Mapped
            is_ipv6: DoctrineExtensions\Query\Mysql\IsIpv6
            lag: DoctrineExtensions\Query\Mysql\Lag
            lead: DoctrineExtensions\Query\Mysql\Lead
            least: DoctrineExtensions\Query\Mysql\Least
            lpad: DoctrineExtensions\Query\Mysql\Lpad
            match: DoctrineExtensions\Query\Mysql\MatchAgainst
            md5: DoctrineExtensions\Query\Mysql\Md5
            nullif: DoctrineExtensions\Query\Mysql\NullIf
            over: DoctrineExtensions\Query\Mysql\Over
            radians: DoctrineExtensions\Query\Mysql\Radians
            regexp: DoctrineExtensions\Query\Mysql\Regexp
            replace: DoctrineExtensions\Query\Mysql\Replace
            rpad: DoctrineExtensions\Query\Mysql\Rpad
            sha1: DoctrineExtensions\Query\Mysql\Sha1
            sha2: DoctrineExtensions\Query\Mysql\Sha2
            soundex: DoctrineExtensions\Query\Mysql\Soundex
            str_to_date: DoctrineExtensions\Query\Mysql\StrToDate
            substring_index: DoctrineExtensions\Query\Mysql\SubstringIndex
            unhex: DoctrineExtensions\Query\Mysql\Unhex
            uuid_short: DoctrineExtensions\Query\Mysql\UuidShort
            JSON_ARRAY: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonArray
            JSON_ARRAY_APPEND: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonArrayAppend
            JSON_ARRAY_INSERT: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonArrayInsert
            JSON_CONTAINS: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonContains
            JSON_CONTAINS_PATH: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonContainsPath
            JSON_DEPTH: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonDepth
            JSON_EXTRACT: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonExtract
            JSON_INSERT: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonInsert
            JSON_KEYS: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonKeys
            JSON_LENGTH: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonLength
            JSON_MERGE: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonMerge
            JSON_MERGE_PATCH: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonMergePatch
            JSON_OBJECT: App\DBAL\JsonObject
            JSON_QUOTE: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonQuote
            JSON_REMOVE: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonRemove
            JSON_REPLACE: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonReplace
            JSON_SEARCH: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonSearch
            JSON_SET: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonSet
            JSON_TYPE: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonType
            JSON_UN_QUOTE: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonUnquote
            JSON_VALID: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonValid
            FIRST: App\DBAL\FirstFunction
services:
  gedmo.listener.timestampable:
    class: Gedmo\Timestampable\TimestampableListener
    tags:
      - { name: doctrine.event_subscriber, connection: default }
    calls:
      - [ setAnnotationReader, [ "@annotation_reader" ] ]
